#!/bin/bash

# Add a --trustdb-name namespace to the gpg config options for mutt.
# Use like this in muttrc:
#    source "mutt-gpg-config-namespaced /etc/Muttrc.gpg.dist foo"|

set -eu

sourcefile=$1
dbname=$2

grep -E -v "^\s*(#|$)" "$sourcefile" \
	| grep 'command=' \
	| sed "s#gpg #gpg --trustdb-name=$dbname #"
